X2Go Bug report logs - #1160
nx-libs.spec does not list xkbcomp as required dependency

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Michael Ledin <m.ledin@appheads.ru>

Date: Fri, 17 Mar 2017 22:05:02 UTC

Severity: normal

Tags: pending

Found in version 3.5.0.32

Fixed in version 2:3.5.0.33

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1160; Package x2goserver. (Fri, 17 Mar 2017 22:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael Ledin <m.ledin@appheads.ru>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Mar 2017 22:05:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael Ledin <m.ledin@appheads.ru>
To: submit@bugs.x2go.org
Subject: x2goserver.spec does not list xkbcomp as required dependency
Date: Sat, 18 Mar 2017 00:59:29 +0300
Package: x2goserver

Version: 4.0.1.20

I installed x2goserver on Archlinux and everything works perfectly with 
x2goclient except it does not apply keyboard settings. The reason was 
that Archlinux x2goserver package does not depend on xorg-setxkbmap 
though it listed as dependency here 
(https://code.x2go.org/gitweb?p=x2goserver.git;a=blob;f=x2goserver.spec;h=1dbf44f7ee90293d40b610820e2a08ec05f531e0;hb=HEAD) 
and I reported a bug to Archlinux team 
https://bugs.archlinux.org/task/53345.  But also x2go-agent package does 
not list xkbcomp as dependency. Nor does x2goserver.spec though "hexdump 
-C /usr/lib/x2go/bin/x2goagent | grep xkbcomp" says the opposite.

After I installed xorg-setxkbmap and xorg-xkbcomp packages x2goserver 
started to apply keyboard settings normally.

--

Michael Ledin


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1160; Package x2goserver. (Sun, 19 Mar 2017 09:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael Ledin <mledin89@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 19 Mar 2017 09:50:01 GMT) (full text, mbox, link).


Message #10 received at 1160@bugs.x2go.org (full text, mbox, reply):

From: Michael Ledin <mledin89@gmail.com>
To: 1160@bugs.x2go.org
Subject: Actually it's nx-libs
Date: Sun, 19 Mar 2017 12:44:12 +0300
Actually not x2goserver but nx-libs should have xkbcomp as required 
dependency 
https://code.x2go.org/gitweb?p=nx-libs.git&a=search&h=HEAD&st=grep&s=xkbcomp


Bug reassigned from package 'x2goserver' to 'nx-libs'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 18 Apr 2017 23:25:01 GMT) (full text, mbox, link).


Marked as found in versions 3.5.0.32. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 18 Apr 2017 23:25:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1160; Package nx-libs. (Tue, 18 Apr 2017 23:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 18 Apr 2017 23:40:02 GMT) (full text, mbox, link).


Message #19 received at 1160@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1160-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1160@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Wed, 19 Apr 2017 01:35:04 +0200 (CEST)
tag #1160 pending
fixed #1160 2:3.5.0.33
thanks

Hello,

X2Go issue #1160 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=a4fb30f

The issue will most likely be fixed in src:nx-libs (2:3.5.0.33).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit a4fb30f8d0dc188821ac61d64d113a6ae6156b95
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Wed Apr 19 01:20:30 2017 +0200

    debian/changelog: add missing bug closure.

diff --git a/debian/changelog b/debian/changelog
index f99ac2d..8551863 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -33,6 +33,7 @@ nx-libs (2:3.5.0.33-0x2go1) UNRELEASED; urgency=low
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
   * {debian/control,nx-libs.spec}:
     - Add proper dependencies upon xkbcomp for RPM and DEB packages.
+      Fixes: #1160.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
 


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 18 Apr 2017 23:40:03 GMT) (full text, mbox, link).


Marked as fixed in versions 2:3.5.0.33. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 18 Apr 2017 23:40:03 GMT) (full text, mbox, link).


Message sent on to Michael Ledin <m.ledin@appheads.ru>:
Bug#1160. (Tue, 18 Apr 2017 23:40:04 GMT) (full text, mbox, link).


Changed Bug title to 'nx-libs.spec does not list xkbcomp as required dependency' from 'x2goserver.spec does not list xkbcomp as required dependency' Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 19 Apr 2017 14:10:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1160; Package nx-libs. (Wed, 08 Nov 2017 07:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Nov 2017 07:25:02 GMT) (full text, mbox, link).


Message #33 received at 1160@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1160-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1160@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Wed, 8 Nov 2017 08:19:35 +0100 (CET)
close #1160
thanks

Hello,

we are very hopeful that X2Go issue #1160 reported by you
has been resolved in the new release (2:3.5.0.33) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.33)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=0629b95e1853d166bd468d0e53cb29c460cfb08f;hp=023bc5a6217fb0cdd9c98a81c106abc8438c0b6c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.33-0x2go1
Status: RELEASE
Date: Wed, 08 Nov 2017 08:07:54 +0100
Fixes: 757 758 760 1160
Changes:
 nx-libs (2:3.5.0.33-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * debian/control:
     - Add xkb-data to nxagent's Recommends.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add Breaks statement on pre-4.1.0.0 x2goserver to x2goagent package.
     - Change Breaks statement to pre-4.0.1.21 x2goserver and add a Replaces:
       x2goserver << 4.0.1.21 section to x2goagent package. We'll do the
       /etc/x2go/x2goagent.options file move for x2goserver 4.0.1.21 and
       nx-libs 3.5.0.33 already.
   * nx-libs.spec:
     - Add xkeyboard-config to nxagent's Requires. Should be a weak dependency,
       but RPM doesn't support that too well yet.
     - Copy new debian/x2goagent.options file into build environment, analogous
       to what debian/roll-tarballs.sh does.
     - Add new x2goagent.options file to installed file list of x2goagent
       package.
     - Let x2goagent package satisfy x2goagent-virtual.
     - Add -mno-vxs to general C(XX)FLAGS on ppc64le.
       Hopefully just a temporary workaround until
       https://bugzilla.redhat.com/show_bug.cgi?id=1489712 /
       https://bugs.centos.org/view.php?id=13779 are resolved.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     - Drop ugly sed hack to push optflags to build system.
     - Pass CDEBUGSFLAGS and friends directly to the make command in %build.
     - Let x2goagent conflict with pre-4.0.1.21 x2goserver versions. Needed for
       x2goagent.options file move.
   * debian/:
     - Add x2goagent.options file for compatibility with x2goserver nightly.
   * debian/roll-tarballs.sh:
     - Copy new debian/x2goagent.options file into real tarball environment.
   * debian/Makefile.nx-libs:
     - Install/destroot new x2goagent.options file.
   * debian/rules:
     - Symlink and remove new debian/x2goagent.options file into/from build
       environment.
   * debian/x2goagent.install:
     - Add new x2goagent.options file.
   * Refresh:
     - 0016_nx-X11_install-location.debian.patch
     - 9900-dxpc-license-history.full+lite.patch
   * nx-X11: use the "old", non-NX header location.
     Affects:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
   * {debian/control,nx-libs.spec}:
     - Add proper dependencies upon xkbcomp for RPM and DEB packages.
       Fixes: #1160.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * debian/patches:
     - Refresh all patches. Removes some fuzziness and adds the -p diff option
       to show the C function name in hunk headers.
     - Fixup series file to include previous patch.
   * nxcomp: Handle launchd sockets in DISPLAY variable correctly when fetching
     X cookie.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1600_nxcomp-handle-launchd-socket-in-Auth.full+lite.patch
   * nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths.
     Fixes: ArcticaProject/nx-libs#536
     Allowing overrides via NX_TEMP and TEMP breaks system using
     pam_tmpdir.so and most server infrastructure expects the location to be
     fixed anyway.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1610_nxcomp-harcode-some-UNIX-socket-path.full+lite.patch
 .
   [ Mike Gabriel ]
   * debian/libxinerama1.postinst.in:
     + Revert 5a9f829. Make sure libnx-Xinerama1 based Xinerama works
       again with X2Go on Debian based systems.
     + Enforce symlink creation for Xinerama et al. library symlinks.
       (Fixes: #757, #758, #760).
   * Xinerama symlinking: Attach Xinerama symlinking to nxagent bin:package (and
     not libnx-xinerama1).
     Backported from Arctica GH 3.6.x branch.
   * debian/Makefile.nx-libs:
     + Make sure that 'make all' only calls 'make build' and _not_ the global
       '%:' ruleset afterwards.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * buildsystem:
     - OPTFLAGS: Properly propagate build option flags to nxcomp{,ext,shad} and
       the nx-X11 build scripts.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
       Adds:
       - debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch
 .
   [ Ulrich Sibiller ]
   * nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp)
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.6.x (Ulrich Sibiller)
     v3: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
 .
   [ Oleksandr Shneyder ]
   * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.
     Improving non-xrender based browser scrolling behaviour when link type is
     set to ADSL or WAN.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1300_nxcomp_Set-TokenSize-to-1536-for-lin.full+lite.patch
   * nx-X11: Render.c: Improve situation for multiple trapezoid requests.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
 .
   [ Simon Matter ]
   * nxcomp: Reduce control->TokenSize slightly again in order to fix
     fragmentation of packages when on VPN (or otherwise encapsulated)
     connections.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1301_nxcomp_Reduce-TokenSize-slightly-for.full+lite.patch


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1160; Package nx-libs. (Wed, 08 Nov 2017 07:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Nov 2017 07:25:03 GMT) (full text, mbox, link).


Message #38 received at 1160@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1160-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1160@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Wed, 8 Nov 2017 08:19:52 +0100 (CET)
close #1160
thanks

Hello,

we are very hopeful that X2Go issue #1160 reported by you
has been resolved in the new release (2:3.5.0.33) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.33)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=e2b241884d422ffc75a88853a9870ec925443ae9;hp=023bc5a6217fb0cdd9c98a81c106abc8438c0b6c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.33-0x2go1
Status: RELEASE
Date: Wed, 08 Nov 2017 08:07:54 +0100
Fixes: 757 758 760 1160
Changes:
 nx-libs (2:3.5.0.33-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * debian/control:
     - Add xkb-data to nxagent's Recommends.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add Breaks statement on pre-4.1.0.0 x2goserver to x2goagent package.
     - Change Breaks statement to pre-4.0.1.21 x2goserver and add a Replaces:
       x2goserver << 4.0.1.21 section to x2goagent package. We'll do the
       /etc/x2go/x2goagent.options file move for x2goserver 4.0.1.21 and
       nx-libs 3.5.0.33 already.
   * nx-libs.spec:
     - Add xkeyboard-config to nxagent's Requires. Should be a weak dependency,
       but RPM doesn't support that too well yet.
     - Copy new debian/x2goagent.options file into build environment, analogous
       to what debian/roll-tarballs.sh does.
     - Add new x2goagent.options file to installed file list of x2goagent
       package.
     - Let x2goagent package satisfy x2goagent-virtual.
     - Add -mno-vxs to general C(XX)FLAGS on ppc64le.
       Hopefully just a temporary workaround until
       https://bugzilla.redhat.com/show_bug.cgi?id=1489712 /
       https://bugs.centos.org/view.php?id=13779 are resolved.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     - Drop ugly sed hack to push optflags to build system.
     - Pass CDEBUGSFLAGS and friends directly to the make command in %build.
     - Let x2goagent conflict with pre-4.0.1.21 x2goserver versions. Needed for
       x2goagent.options file move.
   * debian/:
     - Add x2goagent.options file for compatibility with x2goserver nightly.
   * debian/roll-tarballs.sh:
     - Copy new debian/x2goagent.options file into real tarball environment.
   * debian/Makefile.nx-libs:
     - Install/destroot new x2goagent.options file.
   * debian/rules:
     - Symlink and remove new debian/x2goagent.options file into/from build
       environment.
   * debian/x2goagent.install:
     - Add new x2goagent.options file.
   * Refresh:
     - 0016_nx-X11_install-location.debian.patch
     - 9900-dxpc-license-history.full+lite.patch
   * nx-X11: use the "old", non-NX header location.
     Affects:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
   * {debian/control,nx-libs.spec}:
     - Add proper dependencies upon xkbcomp for RPM and DEB packages.
       Fixes: #1160.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * debian/patches:
     - Refresh all patches. Removes some fuzziness and adds the -p diff option
       to show the C function name in hunk headers.
     - Fixup series file to include previous patch.
   * nxcomp: Handle launchd sockets in DISPLAY variable correctly when fetching
     X cookie.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1600_nxcomp-handle-launchd-socket-in-Auth.full+lite.patch
   * nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths.
     Fixes: ArcticaProject/nx-libs#536
     Allowing overrides via NX_TEMP and TEMP breaks system using
     pam_tmpdir.so and most server infrastructure expects the location to be
     fixed anyway.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1610_nxcomp-harcode-some-UNIX-socket-path.full+lite.patch
 .
   [ Mike Gabriel ]
   * debian/libxinerama1.postinst.in:
     + Revert 5a9f829. Make sure libnx-Xinerama1 based Xinerama works
       again with X2Go on Debian based systems.
     + Enforce symlink creation for Xinerama et al. library symlinks.
       (Fixes: #757, #758, #760).
   * Xinerama symlinking: Attach Xinerama symlinking to nxagent bin:package (and
     not libnx-xinerama1).
     Backported from Arctica GH 3.6.x branch.
   * debian/Makefile.nx-libs:
     + Make sure that 'make all' only calls 'make build' and _not_ the global
       '%:' ruleset afterwards.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * buildsystem:
     - OPTFLAGS: Properly propagate build option flags to nxcomp{,ext,shad} and
       the nx-X11 build scripts.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
       Adds:
       - debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch
 .
   [ Ulrich Sibiller ]
   * nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp)
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.6.x (Ulrich Sibiller)
     v3: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
 .
   [ Oleksandr Shneyder ]
   * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.
     Improving non-xrender based browser scrolling behaviour when link type is
     set to ADSL or WAN.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1300_nxcomp_Set-TokenSize-to-1536-for-lin.full+lite.patch
   * nx-X11: Render.c: Improve situation for multiple trapezoid requests.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
 .
   [ Simon Matter ]
   * nxcomp: Reduce control->TokenSize slightly again in order to fix
     fragmentation of packages when on VPN (or otherwise encapsulated)
     connections.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1301_nxcomp_Reduce-TokenSize-slightly-for.full+lite.patch


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Wed, 08 Nov 2017 07:25:07 GMT) (full text, mbox, link).


Notification sent to Michael Ledin <m.ledin@appheads.ru>:
Bug acknowledged by developer. (Wed, 08 Nov 2017 07:25:07 GMT) (full text, mbox, link).


Message sent on to Michael Ledin <m.ledin@appheads.ru>:
Bug#1160. (Wed, 08 Nov 2017 07:25:10 GMT) (full text, mbox, link).


Message sent on to Michael Ledin <m.ledin@appheads.ru>:
Bug#1160. (Wed, 08 Nov 2017 07:25:10 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1160; Package nx-libs. (Wed, 08 Nov 2017 08:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Nov 2017 08:05:02 GMT) (full text, mbox, link).


Message #53 received at 1160@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1160-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1160@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Wed, 8 Nov 2017 09:01:22 +0100 (CET)
close #1160
thanks

Hello,

we are very hopeful that X2Go issue #1160 reported by you
has been resolved in the new release (2:3.5.0.33) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.33)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=6b3ec7c5f8de7496584fa2601bb404efa32a1296;hp=7dacd79938801af11cd1f3a8026ff073c38697b1

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.33-0x2go1
Status: RELEASE
Date: Wed, 08 Nov 2017 08:07:54 +0100
Fixes: 757 758 760 1160
Changes:
 nx-libs (2:3.5.0.33-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * debian/control:
     - Add xkb-data to nxagent's Recommends.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add Breaks statement on pre-4.1.0.0 x2goserver to x2goagent package.
     - Change Breaks statement to pre-4.0.1.21 x2goserver and add a Replaces:
       x2goserver << 4.0.1.21 section to x2goagent package. We'll do the
       /etc/x2go/x2goagent.options file move for x2goserver 4.0.1.21 and
       nx-libs 3.5.0.33 already.
   * nx-libs.spec:
     - Add xkeyboard-config to nxagent's Requires. Should be a weak dependency,
       but RPM doesn't support that too well yet.
     - Copy new debian/x2goagent.options file into build environment, analogous
       to what debian/roll-tarballs.sh does.
     - Add new x2goagent.options file to installed file list of x2goagent
       package.
     - Let x2goagent package satisfy x2goagent-virtual.
     - Add -mno-vxs to general C(XX)FLAGS on ppc64le.
       Hopefully just a temporary workaround until
       https://bugzilla.redhat.com/show_bug.cgi?id=1489712 /
       https://bugs.centos.org/view.php?id=13779 are resolved.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     - Drop ugly sed hack to push optflags to build system.
     - Pass CDEBUGSFLAGS and friends directly to the make command in %build.
     - Let x2goagent conflict with pre-4.0.1.21 x2goserver versions. Needed for
       x2goagent.options file move.
   * debian/:
     - Add x2goagent.options file for compatibility with x2goserver nightly.
   * debian/roll-tarballs.sh:
     - Copy new debian/x2goagent.options file into real tarball environment.
   * debian/Makefile.nx-libs:
     - Install/destroot new x2goagent.options file.
   * debian/rules:
     - Symlink and remove new debian/x2goagent.options file into/from build
       environment.
   * debian/x2goagent.install:
     - Add new x2goagent.options file.
   * Refresh:
     - 0016_nx-X11_install-location.debian.patch
     - 9900-dxpc-license-history.full+lite.patch
   * nx-X11: use the "old", non-NX header location.
     Affects:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
   * {debian/control,nx-libs.spec}:
     - Add proper dependencies upon xkbcomp for RPM and DEB packages.
       Fixes: #1160.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * debian/patches:
     - Refresh all patches. Removes some fuzziness and adds the -p diff option
       to show the C function name in hunk headers.
     - Fixup series file to include previous patch.
   * nxcomp: Handle launchd sockets in DISPLAY variable correctly when fetching
     X cookie.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1600_nxcomp-handle-launchd-socket-in-Auth.full+lite.patch
   * nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths.
     Fixes: ArcticaProject/nx-libs#536
     Allowing overrides via NX_TEMP and TEMP breaks system using
     pam_tmpdir.so and most server infrastructure expects the location to be
     fixed anyway.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1610_nxcomp-harcode-some-UNIX-socket-path.full+lite.patch
   * Mid-release fixup:
     - Rename
       debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
       to
       debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full.patch.
     - Split up
       debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch.
       Put server changes into
       debian/patches/1500_all_propagate-optflags-to-subcompone.full.patch
       and keep client changes local to
       debian/patches/1510_all_propagate-optflags-to-subcompone.full+lite.patch.
 .
   [ Mike Gabriel ]
   * debian/libxinerama1.postinst.in:
     + Revert 5a9f829. Make sure libnx-Xinerama1 based Xinerama works
       again with X2Go on Debian based systems.
     + Enforce symlink creation for Xinerama et al. library symlinks.
       (Fixes: #757, #758, #760).
   * Xinerama symlinking: Attach Xinerama symlinking to nxagent bin:package (and
     not libnx-xinerama1).
     Backported from Arctica GH 3.6.x branch.
   * debian/Makefile.nx-libs:
     + Make sure that 'make all' only calls 'make build' and _not_ the global
       '%:' ruleset afterwards.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * buildsystem:
     - OPTFLAGS: Properly propagate build option flags to nxcomp{,ext,shad} and
       the nx-X11 build scripts.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
       Adds:
       - debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch
 .
   [ Ulrich Sibiller ]
   * nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp)
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.6.x (Ulrich Sibiller)
     v3: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
 .
   [ Oleksandr Shneyder ]
   * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.
     Improving non-xrender based browser scrolling behaviour when link type is
     set to ADSL or WAN.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1300_nxcomp_Set-TokenSize-to-1536-for-lin.full+lite.patch
   * nx-X11: Render.c: Improve situation for multiple trapezoid requests.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
 .
   [ Simon Matter ]
   * nxcomp: Reduce control->TokenSize slightly again in order to fix
     fragmentation of packages when on VPN (or otherwise encapsulated)
     connections.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1301_nxcomp_Reduce-TokenSize-slightly-for.full+lite.patch


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1160; Package nx-libs. (Wed, 08 Nov 2017 08:05:03 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Nov 2017 08:05:03 GMT) (full text, mbox, link).


Message #58 received at 1160@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1160-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1160@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Wed, 8 Nov 2017 09:01:39 +0100 (CET)
close #1160
thanks

Hello,

we are very hopeful that X2Go issue #1160 reported by you
has been resolved in the new release (2:3.5.0.33) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.33)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=4767b533a81ddb6456188ef765615ca3169e1145;hp=023bc5a6217fb0cdd9c98a81c106abc8438c0b6c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.33-0x2go1
Status: RELEASE
Date: Wed, 08 Nov 2017 08:07:54 +0100
Fixes: 757 758 760 1160
Changes:
 nx-libs (2:3.5.0.33-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * debian/control:
     - Add xkb-data to nxagent's Recommends.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add Breaks statement on pre-4.1.0.0 x2goserver to x2goagent package.
     - Change Breaks statement to pre-4.0.1.21 x2goserver and add a Replaces:
       x2goserver << 4.0.1.21 section to x2goagent package. We'll do the
       /etc/x2go/x2goagent.options file move for x2goserver 4.0.1.21 and
       nx-libs 3.5.0.33 already.
   * nx-libs.spec:
     - Add xkeyboard-config to nxagent's Requires. Should be a weak dependency,
       but RPM doesn't support that too well yet.
     - Copy new debian/x2goagent.options file into build environment, analogous
       to what debian/roll-tarballs.sh does.
     - Add new x2goagent.options file to installed file list of x2goagent
       package.
     - Let x2goagent package satisfy x2goagent-virtual.
     - Add -mno-vxs to general C(XX)FLAGS on ppc64le.
       Hopefully just a temporary workaround until
       https://bugzilla.redhat.com/show_bug.cgi?id=1489712 /
       https://bugs.centos.org/view.php?id=13779 are resolved.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     - Drop ugly sed hack to push optflags to build system.
     - Pass CDEBUGSFLAGS and friends directly to the make command in %build.
     - Let x2goagent conflict with pre-4.0.1.21 x2goserver versions. Needed for
       x2goagent.options file move.
   * debian/:
     - Add x2goagent.options file for compatibility with x2goserver nightly.
   * debian/roll-tarballs.sh:
     - Copy new debian/x2goagent.options file into real tarball environment.
   * debian/Makefile.nx-libs:
     - Install/destroot new x2goagent.options file.
   * debian/rules:
     - Symlink and remove new debian/x2goagent.options file into/from build
       environment.
   * debian/x2goagent.install:
     - Add new x2goagent.options file.
   * Refresh:
     - 0016_nx-X11_install-location.debian.patch
     - 9900-dxpc-license-history.full+lite.patch
   * nx-X11: use the "old", non-NX header location.
     Affects:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
   * {debian/control,nx-libs.spec}:
     - Add proper dependencies upon xkbcomp for RPM and DEB packages.
       Fixes: #1160.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * debian/patches:
     - Refresh all patches. Removes some fuzziness and adds the -p diff option
       to show the C function name in hunk headers.
     - Fixup series file to include previous patch.
   * nxcomp: Handle launchd sockets in DISPLAY variable correctly when fetching
     X cookie.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1600_nxcomp-handle-launchd-socket-in-Auth.full+lite.patch
   * nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths.
     Fixes: ArcticaProject/nx-libs#536
     Allowing overrides via NX_TEMP and TEMP breaks system using
     pam_tmpdir.so and most server infrastructure expects the location to be
     fixed anyway.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
       - debian/patches/1610_nxcomp-harcode-some-UNIX-socket-path.full+lite.patch
   * Mid-release fixup:
     - Rename
       debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
       to
       debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full.patch.
     - Split up
       debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch.
       Put server changes into
       debian/patches/1500_all_propagate-optflags-to-subcompone.full.patch
       and keep client changes local to
       debian/patches/1510_all_propagate-optflags-to-subcompone.full+lite.patch.
 .
   [ Mike Gabriel ]
   * debian/libxinerama1.postinst.in:
     + Revert 5a9f829. Make sure libnx-Xinerama1 based Xinerama works
       again with X2Go on Debian based systems.
     + Enforce symlink creation for Xinerama et al. library symlinks.
       (Fixes: #757, #758, #760).
   * Xinerama symlinking: Attach Xinerama symlinking to nxagent bin:package (and
     not libnx-xinerama1).
     Backported from Arctica GH 3.6.x branch.
   * debian/Makefile.nx-libs:
     + Make sure that 'make all' only calls 'make build' and _not_ the global
       '%:' ruleset afterwards.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
   * buildsystem:
     - OPTFLAGS: Properly propagate build option flags to nxcomp{,ext,shad} and
       the nx-X11 build scripts.
       Backported from Arctica GH 3.6.x branch.
       v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
       Adds:
       - debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch
 .
   [ Ulrich Sibiller ]
   * nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp)
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.6.x (Ulrich Sibiller)
     v3: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
 .
   [ Oleksandr Shneyder ]
   * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.
     Improving non-xrender based browser scrolling behaviour when link type is
     set to ADSL or WAN.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1300_nxcomp_Set-TokenSize-to-1536-for-lin.full+lite.patch
   * nx-X11: Render.c: Improve situation for multiple trapezoid requests.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
 .
   [ Simon Matter ]
   * nxcomp: Reduce control->TokenSize slightly again in order to fix
     fragmentation of packages when on VPN (or otherwise encapsulated)
     connections.
     Backported from Arctica GH 3.6.x branch.
     v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
     Adds:
     - debian/patches/1301_nxcomp_Reduce-TokenSize-slightly-for.full+lite.patch


Message sent on to Michael Ledin <m.ledin@appheads.ru>:
Bug#1160. (Wed, 08 Nov 2017 08:05:10 GMT) (full text, mbox, link).


Message sent on to Michael Ledin <m.ledin@appheads.ru>:
Bug#1160. (Wed, 08 Nov 2017 08:05:11 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 07 Dec 2017 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Oct 17 05:26:47 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.